Page MenuHomePhabricator

API RevisionDelete forces old-style booleans
Closed, ResolvedPublic

Description

The getApiData functions in the various revision deletion classes forcibly use formatversion=1-style booleans rather than following the user's choice (e.g., "userhidden": "" instead of "userhidden": true).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2016, 3:42 AM
Anomie added a subscriber: Anomie.

This should be fixed, even though it's a breaking change for formatversion=2 users.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 17 2016, 5:04 PM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Dec 17 2016, 5:05 PM

Change 328190 had a related patch set uploaded (by Anomie):
Fix RevDel API output for formatversion=2

https://gerrit.wikimedia.org/r/328190

Anomie claimed this task.Dec 19 2016, 4:38 PM
Anomie moved this task from Needs Code to Needs Review on the MediaWiki-API board.

Change 328210 had a related patch set uploaded (by Anomie):
ApiMove: Fix fatal when attempting to move to a namespace with no talkpages

https://gerrit.wikimedia.org/r/328210

Anomie: That fix is filed under the wrong task.

Change 328190 merged by jenkins-bot:
Fix RevDel API output for formatversion=2

https://gerrit.wikimedia.org/r/328190

Anomie closed this task as Resolved.Dec 21 2016, 3:45 PM